<?php
/*
Copyright (©) 2003-2013 Teus Benschop.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/


error_reporting (E_ALL);
ini_set('display_errors', '1');


require_once ("../database/sqlite.php");
require_once ("../database/sqliteinjection.php");
require_once ("../database/bibles.php");


$database_bibles = Database_Bibles::getInstance ();
$database_bibles->create ();


if (!file_exists ("credentials.php")) return;


require_once ("mysql.php");


// Import MySQL into SQLite when SQLite has no data yet.
$count = 0;
$query = "SELECT rowid FROM data;";
$result = Database_SQLite::query ($database_bibles->db, $query);
foreach ($result as $row) $count++;
if ($count == 0) {
  $database = Setup_MySQL::getInstance ();
  $query = "SELECT * FROM bible_names;";
  $result = $database->runQuery ($query);
  for ($i = 0; $i < $result->num_rows; $i++) {
    $row = $result->fetch_assoc ();
    $bible = $row ['bible'];
    $name = $row ['name'];
    $versification = $row ['versification'];
    $name = Database_SQLiteInjection::no ($name);
    $versification = Database_SQLiteInjection::no ($versification);
    $query = "INSERT INTO names (bible, name, versification) VALUES ($bible, '$name', '$versification');";
    Database_SQLite::exec ($database_bibles->db, $query);
  }
  $query = "SELECT * FROM bible_data;";
  $result = $database->runQuery ($query);
  Database_SQLite::exec ($database_bibles->db, "BEGIN;");
  for ($i = 0; $i < $result->num_rows; $i++) {
    $row = $result->fetch_assoc ();
    $id = $row ['id'];
    $bible = $row ['bible'];
    $book = $row ['book'];
    $chapter = $row ['chapter'];
    $data = $row ['data'];
    $data = Database_SQLiteInjection::no ($data);
    $query = "INSERT INTO data (id, bible, book, chapter, data) VALUES ($id, $bible, $book, $chapter, '$data');";
    Database_SQLite::exec ($database_bibles->db, $query);
  }
  Database_SQLite::exec ($database_bibles->db, "COMMIT;");
}


?>
