<?php
/*
Copyright (©) 2003-2013 Teus Benschop.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/


error_reporting (E_ALL);
ini_set('display_errors', '1');


require_once ("../database/sqlite.php");
require_once ("../database/sqliteinjection.php");
require_once ("../database/sprint.php");


$database_sprint = Database_Sprint::getInstance ();
$database_sprint->create ();


if (!file_exists ("credentials.php")) return;


require_once ("mysql.php");


// Import MySQL into SQLite when SQLite has no data yet.
$count = 0;
$query = "SELECT rowid FROM sprint;";
$result = Database_SQLite::query ($database_sprint->db, $query);
foreach ($result as $row) $count++;

if ($count == 0) {

  $database = Setup_MySQL::getInstance ();

  $query = "SELECT * FROM sprint;";
  $result = $database->runQuery ($query);
  Database_SQLite::exec ($database_sprint->db, "BEGIN;");
  for ($i = 0; $i < $result->num_rows; $i++) {
    $row = $result->fetch_assoc ();
    $year = $row ['year'];
    $month = $row ['month'];
    $title = $row ['title'];
    $title = Database_SQLiteInjection::no ($title);
    $body = $row ['body'];
    $body = Database_SQLiteInjection::no ($body);
    $complete = $row ['complete'];
    $query = "INSERT INTO sprint VALUES ($year, $month, '$title', '$body', $complete);";
    Database_SQLite::exec ($database_sprint->db, $query);
  }
  Database_SQLite::exec ($database_sprint->db, "COMMIT;");

  $query = "SELECT * FROM sprinthistory;";
  $result = $database->runQuery ($query);
  Database_SQLite::exec ($database_sprint->db, "BEGIN;");
  for ($i = 0; $i < $result->num_rows; $i++) {
    $row = $result->fetch_assoc ();
    $year = $row ['year'];
    $month = $row ['month'];
    $day = $row ['day'];
    $tasks = $row ['tasks'];
    $complete = $row ['complete'];
    $query = "INSERT INTO sprinthistory VALUES ($year, $month, $day, $tasks, $complete);";
    Database_SQLite::exec ($database_sprint->db, $query);
  }
  Database_SQLite::exec ($database_sprint->db, "COMMIT;");

}


?>
